libetonyek::PAGCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::PAGCollector Class Reference

`#include <PAGCollector.h>`

## Public Member Functions
| PAGCollector (librevenge::RVNGTextInterface *document)
void | collectText (const char *text)
void | collectLineBreak ()
void | collectTab ()
void | startDocument ()
void | endDocument ()
void | startParagraph ()
void | endParagraph ()
void | startSpan ()
void | endSpan ()

## Private Member Functions
void | ensureSpan ()

## Private Attributes
librevenge::RVNGTextInterface * | m_document
bool | m_spanOpened

## Constructor & Destructor Documentation

libetonyek::PAGCollector::PAGCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

void libetonyek::PAGCollector::collectLineBreak | ( |  | ) |

Referenced by libetonyek::PAGParser::parseBr().

void libetonyek::PAGCollector::collectTab | ( |  | ) |

Referenced by libetonyek::PAGParser::parseTab().

void libetonyek::PAGCollector::collectText | ( | const char * | text | ) |

Referenced by libetonyek::PAGParser::parseP(), and libetonyek::PAGParser::parseSpan().

void libetonyek::PAGCollector::endDocument | ( |  | ) |

Referenced by libetonyek::PAGParser::parseDocument().

void libetonyek::PAGCollector::endParagraph | ( |  | ) |

Referenced by libetonyek::PAGParser::parseP().

void libetonyek::PAGCollector::endSpan | ( |  | ) |

Referenced by endParagraph(), libetonyek::PAGParser::parseSpan(), and startSpan().

void libetonyek::PAGCollector::ensureSpan | ( |  | ) |
| private

Referenced by collectLineBreak(), collectTab(), and collectText().

void libetonyek::PAGCollector::startDocument | ( |  | ) |

Referenced by libetonyek::PAGParser::parseDocument().

void libetonyek::PAGCollector::startParagraph | ( |  | ) |

Referenced by libetonyek::PAGParser::parseP().

void libetonyek::PAGCollector::startSpan | ( |  | ) |

Referenced by ensureSpan(), and libetonyek::PAGParser::parseSpan().

## Member Data Documentation

librevenge::RVNGTextInterface* libetonyek::PAGCollector::m_document
| private

Referenced by collectLineBreak(), collectTab(), collectText(), endDocument(), endParagraph(), endSpan(), startDocument(), startParagraph(), and startSpan().

bool libetonyek::PAGCollector::m_spanOpened
| private

Referenced by endParagraph(), endSpan(), ensureSpan(), and startSpan().

The documentation for this class was generated from the following files:

- PAGCollector.h
- PAGCollector.cpp